wibble::log::Tee Struct Reference

Send the same message to multiple streams. More...

`#include <filters.h>`

Inheritance diagram for wibble::log::Tee:
[legend]
Collaboration diagram for wibble::log::Tee:
[legend]

## Public Member Functions

| Tee ()
| Tee (Sender *first, Sender *second)
| ~Tee ()
virtual void | send (log::Level level, const std::string &msg)
| Log one line of text with the given level. More...
Public Member Functions inherited from wibble::log::Sender
virtual | ~Sender ()

## Public Attributes

std::vector< Sender * > | next

## Detailed Description

Send the same message to multiple streams.

## Constructor & Destructor Documentation

wibble::log::Tee::Tee | ( |  | ) |

wibble::log::Tee::Tee | ( | Sender * | first,
|  | Sender * | second
| ) |  |

References next.

wibble::log::Tee::~Tee | ( |  | ) |

## Member Function Documentation

void wibble::log::Tee::send | ( | log::Level | level,
|  | const std::string & | msg
| ) |  |

virtual

Log one line of text with the given level.

Do not add a trailing newline

Implements wibble::log::Sender.

References wibble::iterator(), and next.

## Member Data Documentation

std::vector<Sender*> wibble::log::Tee::next

Referenced by send(), and Tee().

The documentation for this struct was generated from the following files:

- filters.h
- filters.cpp